%define upstream_name 	 XML-Writer
%define upstream_version 0.900

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Module for writing XML documents
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
XML::Writer is a simple Perl module for writing XML documents: it
takes care of constructing markup and escaping data correctly, and by
default, it also performs a significant amount of well-formedness
checking on the output, to make certain (for example) that start and
end tags match, that there is exactly one document element, and that
there are not duplicate attribute names.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/XML/Writer*
%{_mandir}/*/*

%changelog
* Wed Oct 07 2020 tv <tv> 0.900.0-1.mga8
+ Revision: 1632489
- update to 0.900

* Wed Feb 12 2020 umeabot <umeabot> 0.625.0-7.mga8
+ Revision: 1498541
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.625.0-6.mga7
+ Revision: 1272802
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.625.0-5.mga6
+ Revision: 1036168
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.625.0-4.mga6
+ Revision: 944059
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.625.0-3.mga5
+ Revision: 740755
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.625.0-2.mga5
+ Revision: 686973
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 sander85 <sander85> 0.625.0-1.mga5
+ Revision: 634103
- update to 0.625

* Mon Feb 24 2014 jquelin <jquelin> 0.624.0-1.mga5
+ Revision: 596421
- update to 0.624

* Sat Oct 19 2013 umeabot <umeabot> 0.623.0-2.mga4
+ Revision: 528770
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.623.0-1.mga4
+ Revision: 447146
- update to 0.623

* Sat Jun 01 2013 takashi <takashi> 0.622.0-2.mga4
+ Revision: 433942
- Update to 0.622

* Sun Jan 13 2013 umeabot <umeabot> 0.615.0-2.mga3
+ Revision: 375204
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 25 2012 jquelin <jquelin> 0.615.0-1.mga2
+ Revision: 201088
- update to 0.615

* Mon Jan 09 2012 jquelin <jquelin> 0.614.0-1.mga2
+ Revision: 193817
- update to 0.614

* Tue Jan 18 2011 jquelin <jquelin> 0.612.0-1.mga1
+ Revision: 23088
- cleaning spec file
- imported package perl-XML-Writer

